/*
 * Copyright (c) 1996-2011 Barton P. Miller
 * 
 * We provide the Paradyn Parallel Performance Tools (below
 * described as "Paradyn") on an AS IS basis, and do not warrant its
 * validity or performance.  We reserve the right to update, modify,
 * or discontinue this software at any time.  We shall have no
 * obligation to supply such updates or modifications or any other
 * form of support to you.
 * 
 * By your use of Paradyn, you understand and agree that we (or any
 * other person or entity with proprietary rights in Paradyn) are
 * under no obligation to provide either maintenance services,
 * update services, notices of latent defects, or correction of
 * defects for Paradyn.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
/* This file automatically generated from test specifications.  See
 * specification/spec.pl and specification/makemake.py
 */

#include "test_info_new.h"



// Now we insert the test lists into the run groups
void initialize_mutatees(std::vector<RunGroup *> &tests) {
	unsigned int group_count = 0;
	// Keep track of which element each test is, for later use with the resumelog
	unsigned int test_count;
	RunGroup *rg;
  test_count = 0;
  rg = new RunGroup("dyninst_cxx_group_test.mutatee_solo_dynamic_bgxlc++_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test5_1", "test5_1", "test5_1.so", false, "{test: test5_1, mutator: test5_1, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_2", "test5_2", "test5_2.so", false, "{test: test5_2, mutator: test5_2, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_3", "test5_3", "test5_3.so", false, "{test: test5_3, mutator: test5_3, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_4", "test5_4", "test5_4.so", false, "{test: test5_4, mutator: test5_4, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_5", "test5_5", "test5_5.so", false, "{test: test5_5, mutator: test5_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_7", "test5_7", "test5_7.so", false, "{test: test5_7, mutator: test5_7, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_8", "test5_8", "test5_8.so", false, "{test: test5_8, mutator: test5_8, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_9", "test5_9", "test5_9.so", false, "{test: test5_9, mutator: test5_9, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("dyninst_cxx_group_test.mutatee_solo_dynamic_bgxlc++_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test5_1", "test5_1", "test5_1.so", false, "{test: test5_1, mutator: test5_1, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_2", "test5_2", "test5_2.so", false, "{test: test5_2, mutator: test5_2, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_3", "test5_3", "test5_3.so", false, "{test: test5_3, mutator: test5_3, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_4", "test5_4", "test5_4.so", false, "{test: test5_4, mutator: test5_4, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_5", "test5_5", "test5_5.so", false, "{test: test5_5, mutator: test5_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_7", "test5_7", "test5_7.so", false, "{test: test5_7, mutator: test5_7, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_8", "test5_8", "test5_8.so", false, "{test: test5_8, mutator: test5_8, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test5_9", "test5_9", "test5_9.so", false, "{test: test5_9, mutator: test5_9, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_cxx_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("", SELFSTART, DISK, TNone, PNone, DynamicLink, true, nonPIC, "dyninst", "", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test_pt_ls", "test_pt_ls", "test_pt_ls.so", false, "{test: test_pt_ls, mutator: test_pt_ls, grouped: false, start_state: selfstart, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: none, optimization: none, compiler: , run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("dyninst_group_test.mutatee_solo_dynamic_bgxlc_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "snip_change_shlib_var", "snip_change_shlib_var", "snip_change_shlib_var.so", false, "{test: snip_change_shlib_var, mutator: snip_change_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "snip_ref_shlib_var", "snip_ref_shlib_var", "snip_ref_shlib_var.so", false, "{test: snip_ref_shlib_var, mutator: snip_ref_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_1", "test1_1", "test1_1.so", false, "{test: test1_1, mutator: test1_1, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_10", "test1_10", "test1_10.so", false, "{test: test1_10, mutator: test1_10, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_11", "test1_11", "test1_11.so", false, "{test: test1_11, mutator: test1_11, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_13", "test1_13", "test1_13.so", false, "{test: test1_13, mutator: test1_13, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_16", "test1_16", "test1_16.so", false, "{test: test1_16, mutator: test1_16, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_17", "test1_17", "test1_17.so", false, "{test: test1_17, mutator: test1_17, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_18", "test1_18", "test1_18.so", false, "{test: test1_18, mutator: test1_18, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_2", "test1_2", "test1_2.so", false, "{test: test1_2, mutator: test1_2, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_20", "test1_20", "test1_20.so", false, "{test: test1_20, mutator: test1_20, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_21", "test1_21", "test1_21.so", false, "{test: test1_21, mutator: test1_21, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_22", "test1_22", "test1_22.so", false, "{test: test1_22, mutator: test1_22, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_23", "test1_23", "test1_23.so", false, "{test: test1_23, mutator: test1_23, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_24", "test1_24", "test1_24.so", false, "{test: test1_24, mutator: test1_24, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_25", "test1_25", "test1_25.so", false, "{test: test1_25, mutator: test1_25, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_26", "test1_26", "test1_26.so", false, "{test: test1_26, mutator: test1_26, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_27", "test1_27", "test1_27.so", false, "{test: test1_27, mutator: test1_27, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_28", "test1_28", "test1_28.so", false, "{test: test1_28, mutator: test1_28, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_3", "test1_3", "test1_3.so", false, "{test: test1_3, mutator: test1_3, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_30", "test1_30", "test1_30.so", false, "{test: test1_30, mutator: test1_30, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_31", "test1_31", "test1_31.so", false, "{test: test1_31, mutator: test1_31, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_32", "test1_32", "test1_32.so", false, "{test: test1_32, mutator: test1_32, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_33", "test1_33", "test1_33.so", false, "{test: test1_33, mutator: test1_33, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_34", "test1_34", "test1_34.so", false, "{test: test1_34, mutator: test1_34, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_36", "test1_36", "test1_36.so", false, "{test: test1_36, mutator: test1_36, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_37", "test1_37", "test1_37.so", false, "{test: test1_37, mutator: test1_37, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_38", "test1_38", "test1_38.so", false, "{test: test1_38, mutator: test1_38, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_39", "test1_39", "test1_39.so", false, "{test: test1_39, mutator: test1_39, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_4", "test1_4", "test1_4.so", false, "{test: test1_4, mutator: test1_4, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_5", "test1_5", "test1_5.so", false, "{test: test1_5, mutator: test1_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_6", "test1_6", "test1_6.so", false, "{test: test1_6, mutator: test1_6, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_7", "test1_7", "test1_7.so", false, "{test: test1_7, mutator: test1_7, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_8", "test1_8", "test1_8.so", false, "{test: test1_8, mutator: test1_8, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_9", "test1_9", "test1_9.so", false, "{test: test1_9, mutator: test1_9, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test2_5", "test2_5", "test2_5.so", false, "{test: test2_5, mutator: test2_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("dyninst_group_test.mutatee_solo_dynamic_bgxlc_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "snip_change_shlib_var", "snip_change_shlib_var", "snip_change_shlib_var.so", false, "{test: snip_change_shlib_var, mutator: snip_change_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "snip_ref_shlib_var", "snip_ref_shlib_var", "snip_ref_shlib_var.so", false, "{test: snip_ref_shlib_var, mutator: snip_ref_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_1", "test1_1", "test1_1.so", false, "{test: test1_1, mutator: test1_1, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_10", "test1_10", "test1_10.so", false, "{test: test1_10, mutator: test1_10, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_11", "test1_11", "test1_11.so", false, "{test: test1_11, mutator: test1_11, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_13", "test1_13", "test1_13.so", false, "{test: test1_13, mutator: test1_13, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_16", "test1_16", "test1_16.so", false, "{test: test1_16, mutator: test1_16, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_17", "test1_17", "test1_17.so", false, "{test: test1_17, mutator: test1_17, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_18", "test1_18", "test1_18.so", false, "{test: test1_18, mutator: test1_18, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_2", "test1_2", "test1_2.so", false, "{test: test1_2, mutator: test1_2, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_20", "test1_20", "test1_20.so", false, "{test: test1_20, mutator: test1_20, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_21", "test1_21", "test1_21.so", false, "{test: test1_21, mutator: test1_21, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_22", "test1_22", "test1_22.so", false, "{test: test1_22, mutator: test1_22, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_23", "test1_23", "test1_23.so", false, "{test: test1_23, mutator: test1_23, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_24", "test1_24", "test1_24.so", false, "{test: test1_24, mutator: test1_24, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_25", "test1_25", "test1_25.so", false, "{test: test1_25, mutator: test1_25, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_26", "test1_26", "test1_26.so", false, "{test: test1_26, mutator: test1_26, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_27", "test1_27", "test1_27.so", false, "{test: test1_27, mutator: test1_27, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_28", "test1_28", "test1_28.so", false, "{test: test1_28, mutator: test1_28, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_3", "test1_3", "test1_3.so", false, "{test: test1_3, mutator: test1_3, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_30", "test1_30", "test1_30.so", false, "{test: test1_30, mutator: test1_30, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_31", "test1_31", "test1_31.so", false, "{test: test1_31, mutator: test1_31, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_32", "test1_32", "test1_32.so", false, "{test: test1_32, mutator: test1_32, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_33", "test1_33", "test1_33.so", false, "{test: test1_33, mutator: test1_33, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_34", "test1_34", "test1_34.so", false, "{test: test1_34, mutator: test1_34, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_36", "test1_36", "test1_36.so", false, "{test: test1_36, mutator: test1_36, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_37", "test1_37", "test1_37.so", false, "{test: test1_37, mutator: test1_37, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_38", "test1_38", "test1_38.so", false, "{test: test1_38, mutator: test1_38, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_39", "test1_39", "test1_39.so", false, "{test: test1_39, mutator: test1_39, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_4", "test1_4", "test1_4.so", false, "{test: test1_4, mutator: test1_4, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_5", "test1_5", "test1_5.so", false, "{test: test1_5, mutator: test1_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_6", "test1_6", "test1_6.so", false, "{test: test1_6, mutator: test1_6, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_7", "test1_7", "test1_7.so", false, "{test: test1_7, mutator: test1_7, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_8", "test1_8", "test1_8.so", false, "{test: test1_8, mutator: test1_8, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_9", "test1_9", "test1_9.so", false, "{test: test1_9, mutator: test1_9, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test2_5", "test2_5", "test2_5.so", false, "{test: test2_5, mutator: test2_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("dyninst_group_test.mutatee_solo_dynamic_bgxlc++_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "snip_change_shlib_var", "snip_change_shlib_var", "snip_change_shlib_var.so", false, "{test: snip_change_shlib_var, mutator: snip_change_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "snip_ref_shlib_var", "snip_ref_shlib_var", "snip_ref_shlib_var.so", false, "{test: snip_ref_shlib_var, mutator: snip_ref_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_1", "test1_1", "test1_1.so", false, "{test: test1_1, mutator: test1_1, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_10", "test1_10", "test1_10.so", false, "{test: test1_10, mutator: test1_10, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_11", "test1_11", "test1_11.so", false, "{test: test1_11, mutator: test1_11, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_13", "test1_13", "test1_13.so", false, "{test: test1_13, mutator: test1_13, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_16", "test1_16", "test1_16.so", false, "{test: test1_16, mutator: test1_16, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_17", "test1_17", "test1_17.so", false, "{test: test1_17, mutator: test1_17, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_18", "test1_18", "test1_18.so", false, "{test: test1_18, mutator: test1_18, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_2", "test1_2", "test1_2.so", false, "{test: test1_2, mutator: test1_2, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_20", "test1_20", "test1_20.so", false, "{test: test1_20, mutator: test1_20, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_21", "test1_21", "test1_21.so", false, "{test: test1_21, mutator: test1_21, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_22", "test1_22", "test1_22.so", false, "{test: test1_22, mutator: test1_22, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_23", "test1_23", "test1_23.so", false, "{test: test1_23, mutator: test1_23, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_24", "test1_24", "test1_24.so", false, "{test: test1_24, mutator: test1_24, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_25", "test1_25", "test1_25.so", false, "{test: test1_25, mutator: test1_25, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_26", "test1_26", "test1_26.so", false, "{test: test1_26, mutator: test1_26, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_27", "test1_27", "test1_27.so", false, "{test: test1_27, mutator: test1_27, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_28", "test1_28", "test1_28.so", false, "{test: test1_28, mutator: test1_28, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_3", "test1_3", "test1_3.so", false, "{test: test1_3, mutator: test1_3, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_30", "test1_30", "test1_30.so", false, "{test: test1_30, mutator: test1_30, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_31", "test1_31", "test1_31.so", false, "{test: test1_31, mutator: test1_31, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_32", "test1_32", "test1_32.so", false, "{test: test1_32, mutator: test1_32, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_33", "test1_33", "test1_33.so", false, "{test: test1_33, mutator: test1_33, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_34", "test1_34", "test1_34.so", false, "{test: test1_34, mutator: test1_34, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_36", "test1_36", "test1_36.so", false, "{test: test1_36, mutator: test1_36, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_37", "test1_37", "test1_37.so", false, "{test: test1_37, mutator: test1_37, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_38", "test1_38", "test1_38.so", false, "{test: test1_38, mutator: test1_38, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_39", "test1_39", "test1_39.so", false, "{test: test1_39, mutator: test1_39, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_4", "test1_4", "test1_4.so", false, "{test: test1_4, mutator: test1_4, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_5", "test1_5", "test1_5.so", false, "{test: test1_5, mutator: test1_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_6", "test1_6", "test1_6.so", false, "{test: test1_6, mutator: test1_6, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_7", "test1_7", "test1_7.so", false, "{test: test1_7, mutator: test1_7, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_8", "test1_8", "test1_8.so", false, "{test: test1_8, mutator: test1_8, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_9", "test1_9", "test1_9.so", false, "{test: test1_9, mutator: test1_9, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test2_5", "test2_5", "test2_5.so", false, "{test: test2_5, mutator: test2_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("dyninst_group_test.mutatee_solo_dynamic_bgxlc++_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "snip_change_shlib_var", "snip_change_shlib_var", "snip_change_shlib_var.so", false, "{test: snip_change_shlib_var, mutator: snip_change_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "snip_ref_shlib_var", "snip_ref_shlib_var", "snip_ref_shlib_var.so", false, "{test: snip_ref_shlib_var, mutator: snip_ref_shlib_var, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_1", "test1_1", "test1_1.so", false, "{test: test1_1, mutator: test1_1, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_10", "test1_10", "test1_10.so", false, "{test: test1_10, mutator: test1_10, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_11", "test1_11", "test1_11.so", false, "{test: test1_11, mutator: test1_11, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_13", "test1_13", "test1_13.so", false, "{test: test1_13, mutator: test1_13, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_16", "test1_16", "test1_16.so", false, "{test: test1_16, mutator: test1_16, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_17", "test1_17", "test1_17.so", false, "{test: test1_17, mutator: test1_17, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_18", "test1_18", "test1_18.so", false, "{test: test1_18, mutator: test1_18, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_2", "test1_2", "test1_2.so", false, "{test: test1_2, mutator: test1_2, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_20", "test1_20", "test1_20.so", false, "{test: test1_20, mutator: test1_20, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_21", "test1_21", "test1_21.so", false, "{test: test1_21, mutator: test1_21, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_22", "test1_22", "test1_22.so", false, "{test: test1_22, mutator: test1_22, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_23", "test1_23", "test1_23.so", false, "{test: test1_23, mutator: test1_23, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_24", "test1_24", "test1_24.so", false, "{test: test1_24, mutator: test1_24, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_25", "test1_25", "test1_25.so", false, "{test: test1_25, mutator: test1_25, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_26", "test1_26", "test1_26.so", false, "{test: test1_26, mutator: test1_26, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_27", "test1_27", "test1_27.so", false, "{test: test1_27, mutator: test1_27, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_28", "test1_28", "test1_28.so", false, "{test: test1_28, mutator: test1_28, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_3", "test1_3", "test1_3.so", false, "{test: test1_3, mutator: test1_3, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_30", "test1_30", "test1_30.so", false, "{test: test1_30, mutator: test1_30, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_31", "test1_31", "test1_31.so", false, "{test: test1_31, mutator: test1_31, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_32", "test1_32", "test1_32.so", false, "{test: test1_32, mutator: test1_32, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_33", "test1_33", "test1_33.so", false, "{test: test1_33, mutator: test1_33, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_34", "test1_34", "test1_34.so", false, "{test: test1_34, mutator: test1_34, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_36", "test1_36", "test1_36.so", false, "{test: test1_36, mutator: test1_36, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_37", "test1_37", "test1_37.so", false, "{test: test1_37, mutator: test1_37, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_38", "test1_38", "test1_38.so", false, "{test: test1_38, mutator: test1_38, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_39", "test1_39", "test1_39.so", false, "{test: test1_39, mutator: test1_39, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_4", "test1_4", "test1_4.so", false, "{test: test1_4, mutator: test1_4, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_5", "test1_5", "test1_5.so", false, "{test: test1_5, mutator: test1_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_6", "test1_6", "test1_6.so", false, "{test: test1_6, mutator: test1_6, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_7", "test1_7", "test1_7.so", false, "{test: test1_7, mutator: test1_7, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_8", "test1_8", "test1_8.so", false, "{test: test1_8, mutator: test1_8, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test1_9", "test1_9", "test1_9.so", false, "{test: test1_9, mutator: test1_9, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->tests.push_back(new TestInfo(test_count++, "test2_5", "test2_5", "test2_5.so", false, "{test: test2_5, mutator: test2_5, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: dyninst_group_test, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_14.mutatee_solo_dynamic_bgxlc_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_14", "test1_14", "test1_14.so", false, "{test: test1_14, mutator: test1_14, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: test1_14, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_14.mutatee_solo_dynamic_bgxlc_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_14", "test1_14", "test1_14.so", false, "{test: test1_14, mutator: test1_14, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: test1_14, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_14.mutatee_solo_dynamic_bgxlc++_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_14", "test1_14", "test1_14.so", false, "{test: test1_14, mutator: test1_14, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: test1_14, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_14.mutatee_solo_dynamic_bgxlc++_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_14", "test1_14", "test1_14.so", false, "{test: test1_14, mutator: test1_14, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: test1_14, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("init_fini_callback.mutatee_solo_dynamic_bgxlc_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "init_fini_callback", "init_fini_callback", "init_fini_callback.so", false, "{test: init_fini_callback, mutator: init_fini_callback, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: init_fini_callback, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("init_fini_callback.mutatee_solo_dynamic_bgxlc_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "init_fini_callback", "init_fini_callback", "init_fini_callback.so", false, "{test: init_fini_callback, mutator: init_fini_callback, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: init_fini_callback, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("init_fini_callback.mutatee_solo_dynamic_bgxlc++_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "init_fini_callback", "init_fini_callback", "init_fini_callback.so", false, "{test: init_fini_callback, mutator: init_fini_callback, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: init_fini_callback, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("init_fini_callback.mutatee_solo_dynamic_bgxlc++_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "init_fini_callback", "init_fini_callback", "init_fini_callback.so", false, "{test: init_fini_callback, mutator: init_fini_callback, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: init_fini_callback, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_29.mutatee_solo_dynamic_bgxlc_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_29", "test1_29", "test1_29.so", false, "{test: test1_29, mutator: test1_29, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: test1_29, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_29.mutatee_solo_dynamic_bgxlc_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_29", "test1_29", "test1_29.so", false, "{test: test1_29, mutator: test1_29, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: test1_29, optimization: none, compiler: bgxlc, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_29.mutatee_solo_dynamic_bgxlc++_32_pic_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, PIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_29", "test1_29", "test1_29.so", false, "{test: test1_29, mutator: test1_29, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: pic, mutatee: test1_29, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
  test_count = 0;
  rg = new RunGroup("test1_29.mutatee_solo_dynamic_bgxlc++_32_none_none", STOPPED, DISK, TNone, PNone, DynamicLink, false, nonPIC, "dyninst", "bgxlc++", "none", "32");
  rg->tests.push_back(new TestInfo(test_count++, "test1_29", "test1_29", "test1_29.so", false, "{test: test1_29, mutator: test1_29, grouped: false, start_state: stopped, format: dynamicMutatee, process_mode: None, abi: 32, thread_mode: None, pic: none, mutatee: test1_29, optimization: none, compiler: bgxlc++, run_mode: binary}"));
  rg->index = group_count++;
  tests.push_back(rg);
}
